package com.sunxung.factoring.component.enums;

import lombok.Getter;

@Getter
public enum FileTypeEnum implements FileBusinessInterface {

    /**
     * 合同管理-签署文件
     **/
    CONTRACT_SIGNED_FILE("contractSignedFile", "合同管理-签署文件"),

    /**
     * 合同管理-出证文件
     **/
    CONTRACT_REPORT_FIlE("contractReportFile", "合同管理-出证文件");

    String code;

    String desc;

    FileTypeEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public static FileTypeEnum getByCode(String code) {
        for (FileTypeEnum ft : values()) {
            if (ft.code.equals(code)) {
                return ft;
            }
        }
        return null;
    }
}
